# Fixtures

The Fixtures API lets developers list and manage competition fixtures of a specific season for which a client is licensed. This is a gateway into the Actions API and allows clients to determine which fixtures are live and available.

Applications don't need any input to list all fixtures, however information can be filtered by start date and end date among others. fixtures for which a client is licensed.

Per each competition, the endpoints will return the following information:

* Name of the competition
* Fixture date and kick-off time
* Home and Away team (with IDs)
* Venue
* Stage/Round/Group information
* Status (scheduled, live, completed, postponed)

## Endpoints

## List fixtures

<mark style="color:blue;">`GET`</mark> `https://dde-api.data.imgarena.com/{sport}/fixtures`

Retrieves a list of seasons for a specific sport.

#### Path Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| sport<mark style="color:red;">\*</mark> | String | basketball  |

#### Query Parameters

| Name           | Type    | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| -------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| live           | Boolean | Allows users to determine which fixtures are live and available based on a user's licence. **Example:** `true`, `false`                                                                                                                                                                                                                                                                                                                                                                                             |
| status         | String  | Allows clients to filter based on the status of a match or group of matches. **Example**: `scheduled`, `live`, `completed`, `postponed`                                                                                                                                                                                                                                                                                                                                                                             |
| dateFrom       | Date    | Allows clients to filter between specific dates. **Example**: `2023-01-01`                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| dateTo         | Date    | Allows clients to filter between specific dates. **Example**: `2023-01-01`                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| type           | String  | Allows clients to filter based on the type of a match or group of matches. **Example**: `official`, `simulation`, `training`                                                                                                                                                                                                                                                                                                                                                                                        |
| coverageLevel  | String  | The coverage level of a fixture. **Examples**: `noCoverage`, `inVenue`, `lowLatencyStream`, `standardStre`am & `video(postmatch)`                                                                                                                                                                                                                                                                                                                                                                                   |
| sort           | String  | <p>Assortment of the data within the fixtures API. We currently support <code>name</code>, <code>asc</code>, <code>desc</code> and <code>startTime</code>.</p><p>Sort should be supplied in the form <code>sort=\&#x3C;field>,\&#x3C;direction></code> where direction defaults to <code>asc</code> if not supplied.</p><p>If wanting to sort by multiple fields then the sort parameter should be supplied for each field in the order the sort is desired.</p><p>Default sort order is by startTime and name.</p> |
| size           | Integer | The page size. Default is 20 fixtures. Please be sensible specifying the size to ensure the most efficient results and API performance                                                                                                                                                                                                                                                                                                                                                                              |
| page           | Integer | The page number                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| includeDeleted | Boolean | <p>Pass "false" to exclude deleted fixtures from the response.<br></p><p>By default, this value is set to "true," meaning deleted fixtures will be included in the response.</p>                                                                                                                                                                                                                                                                                                                                    |

#### Headers

| Name                                            | Type   | Description                                      |
| ----------------------------------------------- | ------ | ------------------------------------------------ |
| Accept<mark style="color:red;">\*</mark>        | String | application/vnd.imggaming.dde.api+json;version=1 |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer ACCESS\_TOKEN                             |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                                 |

{% tabs %}
{% tab title="400: Bad Request " %}

```json
{
    Request is missing required HTTP header 'Accept'
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
{
    The supplied authentication is invalid
}
```

{% endtab %}

{% tab title="200: OK " %}

```json
{
  "id": "2ffbf044-db53-43ea-9898-a43868ca014d",
  "name": "BC Lietkabelis Panevezys v Jonava BC Cbet",
  "status": "Scheduled",
  "type": "Official",
  "coverageLevel": "In Venue",
  "startDateUTC": "2023-01-07T15:00:00",
  "teams": [
    {
      "id": "f14fd931-a113-4a0b-9c5c-532057c96301",
      "name": "Jonava BC Cbet",
      "club": {
        "id": "b6c236e8-b9df-4a65-ae01-932864572b93",
        "name": "JONAVA BC CBET"
      },
      "category": {
        "id": 1,
        "name": "Men"
      },
      "homeTeam": false
    },
    {
      "id": "b184558c-d9dd-4ada-898d-520b3d387622",
      "name": "BC Lietkabelis Panevezys",
      "club": {
        "id": "bda8ed69-da63-434e-8b79-a20980f32c2e",
        "name": "BC LIETKABELIS PANEVEZYS"
      },
      "category": {
        "id": 1,
        "name": "Men"
      },
      "homeTeam": true
    }
  ],
  "stage": {
    "id": "96afe2dd-58e7-435d-a9f9-999d64ec8b86",
    "name": "Regular round",
    "season": {
      "id": "7ac2140e-dd57-404a-bc3a-54d7fcd97343",
      "name": "Season 2022/2023",
      "startDateUTC": "2022-09-24T12:00:00",
      "endDateUTC": "2023-05-31T12:00:00",
      "competition": {
        "id": "5c50bf20-7b5e-4d19-b2fe-aa1d20a042b2",
        "name": "Lithuania LKL",
        "category": {
          "id": 1,
          "name": "Men"
        },
        "tour": {
          "id": 45,
          "name": "Lithuanian Basketball Federation (LKF)"
        },
        "location": {
          "name": "Lithuania",
          "country": {},
          "continent": {
            "name": "Europe"
          }
        }
      }
    },
    "startDateUTC": "2022-09-24T12:00:00",
    "endDateUTC": "2023-05-31T12:00:00"
  },
  "venue": {
    "id": "7d30af55-89e2-4b50-a107-db133dcb3730",
    "name": "Cido Arena",
    "location": {
      "name": "Panevezys",
      "country": {
        "name": "Lithuania"
      },
      "continent": {
        "name": "Europe"
      }
    }
  },
  "fixtureDeleted": false
}
```

{% endtab %}
{% endtabs %}

## List season fixtures

<mark style="color:blue;">`GET`</mark> `https://dde-api.data.imgarena.com/{sport}/seasons/{seasonId}/fixtures`

#### Path Parameters

| Name                                       | Type   | Description                     |
| ------------------------------------------ | ------ | ------------------------------- |
| sport<mark style="color:red;">\*</mark>    | String | basketball                      |
| seasonId<mark style="color:red;">\*</mark> | UUID   | unique id of a requested season |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| live          | Boolean | Allows users to determine which fixtures are live and available based on a user's licence. **Example:** `true`, `false`                                                                                                                                                                                                                                                                                                                                                                                      |
| status        | String  | Allows clients to filter based on the status of a match or group of matches. **Example**: `scheduled`, `live`, `completed`, `postponed`                                                                                                                                                                                                                                                                                                                                                                      |
| dateFrom      | Date    | Allows clients to filter between specific dates. **Example**: `2023-01-01`                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| dateTo        | Date    | Allows clients to filter between specific dates. **Example**: `2023-01-01`                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| type          | String  | Allows clients to filter based on the type of a match or group of matches. **Example**: `official`, `simulation`, `training`                                                                                                                                                                                                                                                                                                                                                                                 |
| sort          | String  | <p>Assortment of the data within the fixtures API. We currently support <code>name</code>, <code>asc</code>, <code>desc</code> and <code>startTime</code> Sort should be supplied in the form <code>sort=\&#x3C;field>,\&#x3C;direction></code> where direction defaults to <code>asc</code> if not supplied.</p><p>If wanting to sort by multiple fields then the sort parameter should be supplied for each field in the order the sort is desired.</p><p>Default sort order is by startTime and name.</p> |
| size          | Integer | The page size. Default is 20 fixtures. Please be sensible specifying the size to ensure the most efficient results and API performance                                                                                                                                                                                                                                                                                                                                                                       |
| page          | Integer | The page number                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| coverageLevel | String  | The coverage level of a fixture. **Examples**: `noCoverage`, `inVenue`, `lowLatencyStream`, `standardStre`am & `video(postmatch)`                                                                                                                                                                                                                                                                                                                                                                            |
| includeDelete | Boolean | <p>Pass "false" to exclude deleted fixtures from the response.<br></p><p>By default, this value is set to "true," meaning deleted fixtures will be included in the response.</p>                                                                                                                                                                                                                                                                                                                             |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "id": "2ffbf044-db53-43ea-9898-a43868ca014d",
  "name": "BC Lietkabelis Panevezys v Jonava BC Cbet",
  "status": "Scheduled",
  "type": "Official",
  "coverageLevel": "In Venue",
  "startDateUTC": "2023-01-07T15:00:00",
  "teams": [
    {
      "id": "f14fd931-a113-4a0b-9c5c-532057c96301",
      "name": "Jonava BC Cbet",
      "club": {
        "id": "b6c236e8-b9df-4a65-ae01-932864572b93",
        "name": "JONAVA BC CBET"
      },
      "category": {
        "id": 1,
        "name": "Men"
      },
      "homeTeam": false
    },
    {
      "id": "b184558c-d9dd-4ada-898d-520b3d387622",
      "name": "BC Lietkabelis Panevezys",
      "club": {
        "id": "bda8ed69-da63-434e-8b79-a20980f32c2e",
        "name": "BC LIETKABELIS PANEVEZYS"
      },
      "category": {
        "id": 1,
        "name": "Men"
      },
      "homeTeam": true
    }
  ],
  "stage": {
    "id": "96afe2dd-58e7-435d-a9f9-999d64ec8b86",
    "name": "Regular round",
    "season": {
      "id": "7ac2140e-dd57-404a-bc3a-54d7fcd97343",
      "name": "Season 2022/2023",
      "startDateUTC": "2022-09-24T12:00:00",
      "endDateUTC": "2023-05-31T12:00:00",
      "competition": {
        "id": "5c50bf20-7b5e-4d19-b2fe-aa1d20a042b2",
        "name": "Lithuania LKL",
        "category": {
          "id": 1,
          "name": "Men"
        },
        "tour": {
          "id": 45,
          "name": "Lithuanian Basketball Federation (LKF)"
        },
        "location": {
          "name": "Lithuania",
          "country": {},
          "continent": {
            "name": "Europe"
          }
        }
      }
    },
    "startDateUTC": "2022-09-24T12:00:00",
    "endDateUTC": "2023-05-31T12:00:00"
  },
  "venue": {
    "id": "7d30af55-89e2-4b50-a107-db133dcb3730",
    "name": "Cido Arena",
    "location": {
      "name": "Panevezys",
      "country": {
        "name": "Lithuania"
      },
      "continent": {
        "name": "Europe"
      }
    }
  },
  "fixtureDeleted": false
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    Request is missing required HTTP header 'Accept'
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
{
    The supplied authentication is invalid
}
```

{% endtab %}
{% endtabs %}

## Get fixture

<mark style="color:blue;">`GET`</mark> `https://dde-api.data.imgarena.com/{sport}/fixtures/{fixtureId}`

#### Path Parameters

| Name                                        | Type   | Description                       |
| ------------------------------------------- | ------ | --------------------------------- |
| sport<mark style="color:red;">\*</mark>     | String | basketball                        |
| fixtureId<mark style="color:red;">\*</mark> | UUID   | Unique id of a requested fixture. |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "id": "2ffbf044-db53-43ea-9898-a43868ca014d",
  "name": "BC Lietkabelis Panevezys v Jonava BC Cbet",
  "status": "Scheduled",
  "type": "Official",
  "coverageLevel": "In Venue",
  "startDateUTC": "2023-01-07T15:00:00",
  "teams": [
    {
      "id": "f14fd931-a113-4a0b-9c5c-532057c96301",
      "name": "Jonava BC Cbet",
      "club": {
        "id": "b6c236e8-b9df-4a65-ae01-932864572b93",
        "name": "JONAVA BC CBET"
      },
      "category": {
        "id": 1,
        "name": "Men"
      },
      "homeTeam": false
    },
    {
      "id": "b184558c-d9dd-4ada-898d-520b3d387622",
      "name": "BC Lietkabelis Panevezys",
      "club": {
        "id": "bda8ed69-da63-434e-8b79-a20980f32c2e",
        "name": "BC LIETKABELIS PANEVEZYS"
      },
      "category": {
        "id": 1,
        "name": "Men"
      },
      "homeTeam": true
    }
  ],
  "stage": {
    "id": "96afe2dd-58e7-435d-a9f9-999d64ec8b86",
    "name": "Regular round",
    "season": {
      "id": "7ac2140e-dd57-404a-bc3a-54d7fcd97343",
      "name": "Season 2022/2023",
      "startDateUTC": "2022-09-24T12:00:00",
      "endDateUTC": "2023-05-31T12:00:00",
      "competition": {
        "id": "5c50bf20-7b5e-4d19-b2fe-aa1d20a042b2",
        "name": "Lithuania LKL",
        "category": {
          "id": 1,
          "name": "Men"
        },
        "tour": {
          "id": 45,
          "name": "Lithuanian Basketball Federation (LKF)"
        },
        "location": {
          "name": "Lithuania",
          "country": {},
          "continent": {
            "name": "Europe"
          }
        }
      }
    },
    "startDateUTC": "2022-09-24T12:00:00",
    "endDateUTC": "2023-05-31T12:00:00"
  },
  "venue": {
    "id": "7d30af55-89e2-4b50-a107-db133dcb3730",
    "name": "Cido Arena",
    "location": {
      "name": "Panevezys",
      "country": {
        "name": "Lithuania"
      },
      "continent": {
        "name": "Europe"
      }
    }
  },
  "fixtureDeleted": false
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    Request is missing required HTTP header 'Accept'
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
{
    The supplied authentication is invalid
}
```

{% endtab %}
{% endtabs %}

### Response fields

<table data-header-hidden><thead><tr><th width="178">Property</th><th>Description</th></tr></thead><tbody><tr><td>fixture<br><a data-mention href="../json-objects/static-objects/fixture">fixture</a></td><td>The requested list of fixtures or a single fixture.<br></td></tr></tbody></table>

## Efficient Polling

Although not real-time, API polling involves the repetitive transmission of client requests to an endpoint for the purpose of identifying changes in information. To maintain optimal performance for all customers, our API implements rate limits.We recommend the following frequency for your REST requests to ensure that you have the most up-to-date information at all times.

<table data-column-title-hidden data-view="cards"><thead><tr><th>API</th><th>Recommendation</th></tr></thead><tbody><tr><td><strong>Live fixtures</strong></td><td>Every <code>30</code> seconds</td></tr><tr><td><strong>Live upcoming fixtures</strong></td><td>Every <code>60</code> seconds</td></tr><tr><td><strong>All fixtures</strong></td><td>Every <code>24</code> hours</td></tr></tbody></table>

## Pagination

Please find the following link to the [pagination](https://docs.sportradar.com/basketball/readme/pagination) page.

{% hint style="warning" %}
We kindly request your thorough perusal of this section in order to familiarize yourself with forthcoming alterations scheduled for implementation on the **31st of July, 2023**.
{% endhint %}

These modifications, primarily encompassing the introduction of supplementary parameters, are anticipated to be of a straightforward nature and aim to enhance the query efficiency of our Fixtures API, thereby affording you considerable advantages.

### Deleted fixtures <a href="#deleted-fixtures" id="deleted-fixtures"></a>

In some cases, fixtures may be deleted. To manage this, each fixture includes a "fixtureDeleted" flag. By default, this flag is set to "false." If the flag is set to "true," it indicates that the fixture has been deleted and should be disregarded.
